Control

Pause, resume, cancel, and inject context into running executions

Pause Execution Endpoint

POST
/executions/{execution_id}/pause

Path Parameters

execution_id*string

Request Body

application/json

reason?|

Response Body

application/json

application/json

curl -X POST "https://loading/executions/string/pause" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": true,
  "execution_id": "string",
  "state": "string",
  "message": "string",
  "error": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Resume Execution Endpoint

POST
/executions/{execution_id}/resume

Path Parameters

execution_id*string

Response Body

application/json

application/json

curl -X POST "https://loading/executions/string/resume"
{
  "success": true,
  "execution_id": "string",
  "state": "string",
  "message": "string",
  "error": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Cancel Execution Endpoint

POST
/executions/{execution_id}/cancel

Path Parameters

execution_id*string

Request Body

application/json

reason?|

Response Body

application/json

application/json

curl -X POST "https://loading/executions/string/cancel" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": true,
  "execution_id": "string",
  "state": "string",
  "message": "string",
  "error": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Inject Context Endpoint

POST
/executions/{execution_id}/inject

Path Parameters

execution_id*string

Request Body

application/json

message*string
role?string
Default"user"
Value in"user" | "system"

Response Body

application/json

application/json

curl -X POST "https://loading/executions/string/inject" \  -H "Content-Type: application/json" \  -d '{    "message": "string"  }'
{
  "success": true,
  "execution_id": "string",
  "state": "string",
  "message": "string",
  "error": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Get Execution State Endpoint

GET
/executions/{execution_id}/state

Path Parameters

execution_id*string

Response Body

application/json

application/json

curl -X GET "https://loading/executions/string/state"
{
  "execution_id": "string",
  "state": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Syntropic137 Docs v0.18.0 · Last updated March 2026

On this page